// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.14.0
// source: pkg/springer/book_api.proto

package springer

import (
	common "gitlab.com/lemonster.izoone/protobuf/pkg/common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Api struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Request  *common.Request `protobuf:"bytes,1,opt,name=request,proto3" json:"request,omitempty"`
	Response *Response       `protobuf:"bytes,2,opt,name=response,proto3" json:"response,omitempty"`
}

func (x *Api) Reset() {
	*x = Api{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_springer_book_api_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Api) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Api) ProtoMessage() {}

func (x *Api) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_springer_book_api_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Api.ProtoReflect.Descriptor instead.
func (*Api) Descriptor() ([]byte, []int) {
	return file_pkg_springer_book_api_proto_rawDescGZIP(), []int{0}
}

func (x *Api) GetRequest() *common.Request {
	if x != nil {
		return x.Request
	}
	return nil
}

func (x *Api) GetResponse() *Response {
	if x != nil {
		return x.Response
	}
	return nil
}

type Response struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ApiMessage string             `protobuf:"bytes,1,opt,name=apiMessage,proto3" json:"apiMessage,omitempty"`
	Query      string             `protobuf:"bytes,2,opt,name=query,proto3" json:"query,omitempty"`
	ApiKey     string             `protobuf:"bytes,3,opt,name=apiKey,proto3" json:"apiKey,omitempty"`
	Result     []*Response_Result `protobuf:"bytes,4,rep,name=result,proto3" json:"result,omitempty"`
	Records    []*Response_Record `protobuf:"bytes,5,rep,name=records,proto3" json:"records,omitempty"`
	Facets     []*Response_Facet  `protobuf:"bytes,6,rep,name=facets,proto3" json:"facets,omitempty"`
}

func (x *Response) Reset() {
	*x = Response{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_springer_book_api_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response) ProtoMessage() {}

func (x *Response) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_springer_book_api_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response.ProtoReflect.Descriptor instead.
func (*Response) Descriptor() ([]byte, []int) {
	return file_pkg_springer_book_api_proto_rawDescGZIP(), []int{1}
}

func (x *Response) GetApiMessage() string {
	if x != nil {
		return x.ApiMessage
	}
	return ""
}

func (x *Response) GetQuery() string {
	if x != nil {
		return x.Query
	}
	return ""
}

func (x *Response) GetApiKey() string {
	if x != nil {
		return x.ApiKey
	}
	return ""
}

func (x *Response) GetResult() []*Response_Result {
	if x != nil {
		return x.Result
	}
	return nil
}

func (x *Response) GetRecords() []*Response_Record {
	if x != nil {
		return x.Records
	}
	return nil
}

func (x *Response) GetFacets() []*Response_Facet {
	if x != nil {
		return x.Facets
	}
	return nil
}

type Response_Result struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Total            string `protobuf:"bytes,1,opt,name=total,proto3" json:"total,omitempty"`
	Start            string `protobuf:"bytes,2,opt,name=start,proto3" json:"start,omitempty"`
	PageLength       string `protobuf:"bytes,3,opt,name=pageLength,proto3" json:"pageLength,omitempty"`
	RecordsDisplayed string `protobuf:"bytes,4,opt,name=recordsDisplayed,proto3" json:"recordsDisplayed,omitempty"`
}

func (x *Response_Result) Reset() {
	*x = Response_Result{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_springer_book_api_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Result) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Result) ProtoMessage() {}

func (x *Response_Result) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_springer_book_api_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Result.ProtoReflect.Descriptor instead.
func (*Response_Result) Descriptor() ([]byte, []int) {
	return file_pkg_springer_book_api_proto_rawDescGZIP(), []int{1, 0}
}

func (x *Response_Result) GetTotal() string {
	if x != nil {
		return x.Total
	}
	return ""
}

func (x *Response_Result) GetStart() string {
	if x != nil {
		return x.Start
	}
	return ""
}

func (x *Response_Result) GetPageLength() string {
	if x != nil {
		return x.PageLength
	}
	return ""
}

func (x *Response_Result) GetRecordsDisplayed() string {
	if x != nil {
		return x.RecordsDisplayed
	}
	return ""
}

type Response_Record struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ContentType     string                     `protobuf:"bytes,1,opt,name=contentType,proto3" json:"contentType,omitempty"`
	Identifier      string                     `protobuf:"bytes,2,opt,name=identifier,proto3" json:"identifier,omitempty"`
	Language        string                     `protobuf:"bytes,3,opt,name=language,proto3" json:"language,omitempty"`
	Url             []*Response_Record_Url     `protobuf:"bytes,4,rep,name=url,proto3" json:"url,omitempty"`
	Title           string                     `protobuf:"bytes,5,opt,name=title,proto3" json:"title,omitempty"`
	Creators        []*Response_Record_Creator `protobuf:"bytes,6,rep,name=creators,proto3" json:"creators,omitempty"`
	PublicationName string                     `protobuf:"bytes,7,opt,name=publicationName,proto3" json:"publicationName,omitempty"`
	Openaccess      string                     `protobuf:"bytes,8,opt,name=openaccess,proto3" json:"openaccess,omitempty"`
	Doi             string                     `protobuf:"bytes,9,opt,name=doi,proto3" json:"doi,omitempty"`
	Publisher       string                     `protobuf:"bytes,10,opt,name=publisher,proto3" json:"publisher,omitempty"`
	PublicationDate string                     `protobuf:"bytes,11,opt,name=publicationDate,proto3" json:"publicationDate,omitempty"`
	PublicationType string                     `protobuf:"bytes,12,opt,name=publicationType,proto3" json:"publicationType,omitempty"`
	PrintIsbn       string                     `protobuf:"bytes,13,opt,name=printIsbn,proto3" json:"printIsbn,omitempty"`
	ElectronicIsbn  string                     `protobuf:"bytes,14,opt,name=electronicIsbn,proto3" json:"electronicIsbn,omitempty"`
	Isbn            string                     `protobuf:"bytes,15,opt,name=isbn,proto3" json:"isbn,omitempty"`
	Genre           string                     `protobuf:"bytes,16,opt,name=genre,proto3" json:"genre,omitempty"`
	Copyright       string                     `protobuf:"bytes,17,opt,name=copyright,proto3" json:"copyright,omitempty"`
	Abstract        string                     `protobuf:"bytes,18,opt,name=abstract,proto3" json:"abstract,omitempty"`
}

func (x *Response_Record) Reset() {
	*x = Response_Record{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_springer_book_api_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Record) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Record) ProtoMessage() {}

func (x *Response_Record) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_springer_book_api_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Record.ProtoReflect.Descriptor instead.
func (*Response_Record) Descriptor() ([]byte, []int) {
	return file_pkg_springer_book_api_proto_rawDescGZIP(), []int{1, 1}
}

func (x *Response_Record) GetContentType() string {
	if x != nil {
		return x.ContentType
	}
	return ""
}

func (x *Response_Record) GetIdentifier() string {
	if x != nil {
		return x.Identifier
	}
	return ""
}

func (x *Response_Record) GetLanguage() string {
	if x != nil {
		return x.Language
	}
	return ""
}

func (x *Response_Record) GetUrl() []*Response_Record_Url {
	if x != nil {
		return x.Url
	}
	return nil
}

func (x *Response_Record) GetTitle() string {
	if x != nil {
		return x.Title
	}
	return ""
}

func (x *Response_Record) GetCreators() []*Response_Record_Creator {
	if x != nil {
		return x.Creators
	}
	return nil
}

func (x *Response_Record) GetPublicationName() string {
	if x != nil {
		return x.PublicationName
	}
	return ""
}

func (x *Response_Record) GetOpenaccess() string {
	if x != nil {
		return x.Openaccess
	}
	return ""
}

func (x *Response_Record) GetDoi() string {
	if x != nil {
		return x.Doi
	}
	return ""
}

func (x *Response_Record) GetPublisher() string {
	if x != nil {
		return x.Publisher
	}
	return ""
}

func (x *Response_Record) GetPublicationDate() string {
	if x != nil {
		return x.PublicationDate
	}
	return ""
}

func (x *Response_Record) GetPublicationType() string {
	if x != nil {
		return x.PublicationType
	}
	return ""
}

func (x *Response_Record) GetPrintIsbn() string {
	if x != nil {
		return x.PrintIsbn
	}
	return ""
}

func (x *Response_Record) GetElectronicIsbn() string {
	if x != nil {
		return x.ElectronicIsbn
	}
	return ""
}

func (x *Response_Record) GetIsbn() string {
	if x != nil {
		return x.Isbn
	}
	return ""
}

func (x *Response_Record) GetGenre() string {
	if x != nil {
		return x.Genre
	}
	return ""
}

func (x *Response_Record) GetCopyright() string {
	if x != nil {
		return x.Copyright
	}
	return ""
}

func (x *Response_Record) GetAbstract() string {
	if x != nil {
		return x.Abstract
	}
	return ""
}

type Response_Facet struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name   string                  `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Values []*Response_Facet_Value `protobuf:"bytes,2,rep,name=values,proto3" json:"values,omitempty"`
}

func (x *Response_Facet) Reset() {
	*x = Response_Facet{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_springer_book_api_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Facet) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Facet) ProtoMessage() {}

func (x *Response_Facet) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_springer_book_api_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Facet.ProtoReflect.Descriptor instead.
func (*Response_Facet) Descriptor() ([]byte, []int) {
	return file_pkg_springer_book_api_proto_rawDescGZIP(), []int{1, 2}
}

func (x *Response_Facet) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Response_Facet) GetValues() []*Response_Facet_Value {
	if x != nil {
		return x.Values
	}
	return nil
}

type Response_Record_Url struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Format   string `protobuf:"bytes,1,opt,name=format,proto3" json:"format,omitempty"`
	Platform string `protobuf:"bytes,2,opt,name=platform,proto3" json:"platform,omitempty"`
	Value    string `protobuf:"bytes,3,opt,name=value,proto3" json:"value,omitempty"`
}

func (x *Response_Record_Url) Reset() {
	*x = Response_Record_Url{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_springer_book_api_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Record_Url) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Record_Url) ProtoMessage() {}

func (x *Response_Record_Url) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_springer_book_api_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Record_Url.ProtoReflect.Descriptor instead.
func (*Response_Record_Url) Descriptor() ([]byte, []int) {
	return file_pkg_springer_book_api_proto_rawDescGZIP(), []int{1, 1, 0}
}

func (x *Response_Record_Url) GetFormat() string {
	if x != nil {
		return x.Format
	}
	return ""
}

func (x *Response_Record_Url) GetPlatform() string {
	if x != nil {
		return x.Platform
	}
	return ""
}

func (x *Response_Record_Url) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

type Response_Record_Creator struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Creator string `protobuf:"bytes,1,opt,name=creator,proto3" json:"creator,omitempty"`
}

func (x *Response_Record_Creator) Reset() {
	*x = Response_Record_Creator{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_springer_book_api_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Record_Creator) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Record_Creator) ProtoMessage() {}

func (x *Response_Record_Creator) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_springer_book_api_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Record_Creator.ProtoReflect.Descriptor instead.
func (*Response_Record_Creator) Descriptor() ([]byte, []int) {
	return file_pkg_springer_book_api_proto_rawDescGZIP(), []int{1, 1, 1}
}

func (x *Response_Record_Creator) GetCreator() string {
	if x != nil {
		return x.Creator
	}
	return ""
}

type Response_Facet_Value struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value string `protobuf:"bytes,1,opt,name=value,proto3" json:"value,omitempty"`
	Count string `protobuf:"bytes,2,opt,name=count,proto3" json:"count,omitempty"`
}

func (x *Response_Facet_Value) Reset() {
	*x = Response_Facet_Value{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_springer_book_api_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Facet_Value) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Facet_Value) ProtoMessage() {}

func (x *Response_Facet_Value) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_springer_book_api_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Facet_Value.ProtoReflect.Descriptor instead.
func (*Response_Facet_Value) Descriptor() ([]byte, []int) {
	return file_pkg_springer_book_api_proto_rawDescGZIP(), []int{1, 2, 0}
}

func (x *Response_Facet_Value) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

func (x *Response_Facet_Value) GetCount() string {
	if x != nil {
		return x.Count
	}
	return ""
}

var File_pkg_springer_book_api_proto protoreflect.FileDescriptor

var file_pkg_springer_book_api_proto_rawDesc = []byte{
	0x0a, 0x1b, 0x70, 0x6b, 0x67, 0x2f, 0x73, 0x70, 0x72, 0x69, 0x6e, 0x67, 0x65, 0x72, 0x2f, 0x62,
	0x6f, 0x6f, 0x6b, 0x5f, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x08, 0x73,
	0x70, 0x72, 0x69, 0x6e, 0x67, 0x65, 0x72, 0x1a, 0x18, 0x70, 0x6b, 0x67, 0x2f, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2f, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x22, 0x60, 0x0a, 0x03, 0x41, 0x70, 0x69, 0x12, 0x29, 0x0a, 0x07, 0x72, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x07, 0x72, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x2e, 0x0a, 0x08, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x73, 0x70, 0x72, 0x69, 0x6e, 0x67, 0x65, 0x72,
	0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x52, 0x08, 0x72, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x22, 0xdd, 0x09, 0x0a, 0x08, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x1e, 0x0a, 0x0a, 0x61, 0x70, 0x69, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x61, 0x70, 0x69, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x12, 0x14, 0x0a, 0x05, 0x71, 0x75, 0x65, 0x72, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x05, 0x71, 0x75, 0x65, 0x72, 0x79, 0x12, 0x16, 0x0a, 0x06, 0x61, 0x70, 0x69, 0x4b, 0x65, 0x79,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x61, 0x70, 0x69, 0x4b, 0x65, 0x79, 0x12, 0x31,
	0x0a, 0x06, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x19,
	0x2e, 0x73, 0x70, 0x72, 0x69, 0x6e, 0x67, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x2e, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x52, 0x06, 0x72, 0x65, 0x73, 0x75, 0x6c,
	0x74, 0x12, 0x33, 0x0a, 0x07, 0x72, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x73, 0x18, 0x05, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x19, 0x2e, 0x73, 0x70, 0x72, 0x69, 0x6e, 0x67, 0x65, 0x72, 0x2e, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x52, 0x07, 0x72,
	0x65, 0x63, 0x6f, 0x72, 0x64, 0x73, 0x12, 0x30, 0x0a, 0x06, 0x66, 0x61, 0x63, 0x65, 0x74, 0x73,
	0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x18, 0x2e, 0x73, 0x70, 0x72, 0x69, 0x6e, 0x67, 0x65,
	0x72, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x46, 0x61, 0x63, 0x65, 0x74,
	0x52, 0x06, 0x66, 0x61, 0x63, 0x65, 0x74, 0x73, 0x1a, 0x80, 0x01, 0x0a, 0x06, 0x52, 0x65, 0x73,
	0x75, 0x6c, 0x74, 0x12, 0x14, 0x0a, 0x05, 0x74, 0x6f, 0x74, 0x61, 0x6c, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x05, 0x74, 0x6f, 0x74, 0x61, 0x6c, 0x12, 0x14, 0x0a, 0x05, 0x73, 0x74, 0x61,
	0x72, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x73, 0x74, 0x61, 0x72, 0x74, 0x12,
	0x1e, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x65, 0x4c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x65, 0x4c, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x12,
	0x2a, 0x0a, 0x10, 0x72, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x73, 0x44, 0x69, 0x73, 0x70, 0x6c, 0x61,
	0x79, 0x65, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x10, 0x72, 0x65, 0x63, 0x6f, 0x72,
	0x64, 0x73, 0x44, 0x69, 0x73, 0x70, 0x6c, 0x61, 0x79, 0x65, 0x64, 0x1a, 0xda, 0x05, 0x0a, 0x06,
	0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x12, 0x20, 0x0a, 0x0b, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e,
	0x74, 0x54, 0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x63, 0x6f, 0x6e,
	0x74, 0x65, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x12, 0x1e, 0x0a, 0x0a, 0x69, 0x64, 0x65, 0x6e,
	0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x69, 0x64,
	0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x12, 0x1a, 0x0a, 0x08, 0x6c, 0x61, 0x6e, 0x67,
	0x75, 0x61, 0x67, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x6c, 0x61, 0x6e, 0x67,
	0x75, 0x61, 0x67, 0x65, 0x12, 0x2f, 0x0a, 0x03, 0x75, 0x72, 0x6c, 0x18, 0x04, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x1d, 0x2e, 0x73, 0x70, 0x72, 0x69, 0x6e, 0x67, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x2e, 0x55, 0x72, 0x6c,
	0x52, 0x03, 0x75, 0x72, 0x6c, 0x12, 0x14, 0x0a, 0x05, 0x74, 0x69, 0x74, 0x6c, 0x65, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x74, 0x69, 0x74, 0x6c, 0x65, 0x12, 0x3d, 0x0a, 0x08, 0x63,
	0x72, 0x65, 0x61, 0x74, 0x6f, 0x72, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x21, 0x2e,
	0x73, 0x70, 0x72, 0x69, 0x6e, 0x67, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x6f, 0x72,
	0x52, 0x08, 0x63, 0x72, 0x65, 0x61, 0x74, 0x6f, 0x72, 0x73, 0x12, 0x28, 0x0a, 0x0f, 0x70, 0x75,
	0x62, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x07, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0f, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1e, 0x0a, 0x0a, 0x6f, 0x70, 0x65, 0x6e, 0x61, 0x63, 0x63, 0x65,
	0x73, 0x73, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x6f, 0x70, 0x65, 0x6e, 0x61, 0x63,
	0x63, 0x65, 0x73, 0x73, 0x12, 0x10, 0x0a, 0x03, 0x64, 0x6f, 0x69, 0x18, 0x09, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x03, 0x64, 0x6f, 0x69, 0x12, 0x1c, 0x0a, 0x09, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x73,
	0x68, 0x65, 0x72, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x70, 0x75, 0x62, 0x6c, 0x69,
	0x73, 0x68, 0x65, 0x72, 0x12, 0x28, 0x0a, 0x0f, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x63, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x44, 0x61, 0x74, 0x65, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x70,
	0x75, 0x62, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x44, 0x61, 0x74, 0x65, 0x12, 0x28,
	0x0a, 0x0f, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70,
	0x65, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x63, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x70, 0x72, 0x69, 0x6e,
	0x74, 0x49, 0x73, 0x62, 0x6e, 0x18, 0x0d, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x70, 0x72, 0x69,
	0x6e, 0x74, 0x49, 0x73, 0x62, 0x6e, 0x12, 0x26, 0x0a, 0x0e, 0x65, 0x6c, 0x65, 0x63, 0x74, 0x72,
	0x6f, 0x6e, 0x69, 0x63, 0x49, 0x73, 0x62, 0x6e, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e,
	0x65, 0x6c, 0x65, 0x63, 0x74, 0x72, 0x6f, 0x6e, 0x69, 0x63, 0x49, 0x73, 0x62, 0x6e, 0x12, 0x12,
	0x0a, 0x04, 0x69, 0x73, 0x62, 0x6e, 0x18, 0x0f, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x69, 0x73,
	0x62, 0x6e, 0x12, 0x14, 0x0a, 0x05, 0x67, 0x65, 0x6e, 0x72, 0x65, 0x18, 0x10, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x05, 0x67, 0x65, 0x6e, 0x72, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x63, 0x6f, 0x70, 0x79,
	0x72, 0x69, 0x67, 0x68, 0x74, 0x18, 0x11, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x63, 0x6f, 0x70,
	0x79, 0x72, 0x69, 0x67, 0x68, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x61, 0x62, 0x73, 0x74, 0x72, 0x61,
	0x63, 0x74, 0x18, 0x12, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x61, 0x62, 0x73, 0x74, 0x72, 0x61,
	0x63, 0x74, 0x1a, 0x4f, 0x0a, 0x03, 0x55, 0x72, 0x6c, 0x12, 0x16, 0x0a, 0x06, 0x66, 0x6f, 0x72,
	0x6d, 0x61, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x66, 0x6f, 0x72, 0x6d, 0x61,
	0x74, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x08, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x12, 0x14, 0x0a,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x1a, 0x23, 0x0a, 0x07, 0x43, 0x72, 0x65, 0x61, 0x74, 0x6f, 0x72, 0x12, 0x18,
	0x0a, 0x07, 0x63, 0x72, 0x65, 0x61, 0x74, 0x6f, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x07, 0x63, 0x72, 0x65, 0x61, 0x74, 0x6f, 0x72, 0x1a, 0x88, 0x01, 0x0a, 0x05, 0x46, 0x61, 0x63,
	0x65, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x36, 0x0a, 0x06, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73,
	0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x73, 0x70, 0x72, 0x69, 0x6e, 0x67, 0x65,
	0x72, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x46, 0x61, 0x63, 0x65, 0x74,
	0x2e, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x06, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x1a, 0x33,
	0x0a, 0x05, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x14, 0x0a,
	0x05, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x63, 0x6f,
	0x75, 0x6e, 0x74, 0x42, 0x33, 0x5a, 0x31, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x6c, 0x65, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x69, 0x7a, 0x6f, 0x6f,
	0x6e, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x70, 0x6b, 0x67, 0x2f,
	0x73, 0x70, 0x72, 0x69, 0x6e, 0x67, 0x65, 0x72, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_pkg_springer_book_api_proto_rawDescOnce sync.Once
	file_pkg_springer_book_api_proto_rawDescData = file_pkg_springer_book_api_proto_rawDesc
)

func file_pkg_springer_book_api_proto_rawDescGZIP() []byte {
	file_pkg_springer_book_api_proto_rawDescOnce.Do(func() {
		file_pkg_springer_book_api_proto_rawDescData = protoimpl.X.CompressGZIP(file_pkg_springer_book_api_proto_rawDescData)
	})
	return file_pkg_springer_book_api_proto_rawDescData
}

var file_pkg_springer_book_api_proto_msgTypes = make([]protoimpl.MessageInfo, 8)
var file_pkg_springer_book_api_proto_goTypes = []interface{}{
	(*Api)(nil),                     // 0: springer.Api
	(*Response)(nil),                // 1: springer.Response
	(*Response_Result)(nil),         // 2: springer.Response.Result
	(*Response_Record)(nil),         // 3: springer.Response.Record
	(*Response_Facet)(nil),          // 4: springer.Response.Facet
	(*Response_Record_Url)(nil),     // 5: springer.Response.Record.Url
	(*Response_Record_Creator)(nil), // 6: springer.Response.Record.Creator
	(*Response_Facet_Value)(nil),    // 7: springer.Response.Facet.Value
	(*common.Request)(nil),          // 8: common.Request
}
var file_pkg_springer_book_api_proto_depIdxs = []int32{
	8, // 0: springer.Api.request:type_name -> common.Request
	1, // 1: springer.Api.response:type_name -> springer.Response
	2, // 2: springer.Response.result:type_name -> springer.Response.Result
	3, // 3: springer.Response.records:type_name -> springer.Response.Record
	4, // 4: springer.Response.facets:type_name -> springer.Response.Facet
	5, // 5: springer.Response.Record.url:type_name -> springer.Response.Record.Url
	6, // 6: springer.Response.Record.creators:type_name -> springer.Response.Record.Creator
	7, // 7: springer.Response.Facet.values:type_name -> springer.Response.Facet.Value
	8, // [8:8] is the sub-list for method output_type
	8, // [8:8] is the sub-list for method input_type
	8, // [8:8] is the sub-list for extension type_name
	8, // [8:8] is the sub-list for extension extendee
	0, // [0:8] is the sub-list for field type_name
}

func init() { file_pkg_springer_book_api_proto_init() }
func file_pkg_springer_book_api_proto_init() {
	if File_pkg_springer_book_api_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_pkg_springer_book_api_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Api); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_springer_book_api_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_springer_book_api_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Result); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_springer_book_api_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Record); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_springer_book_api_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Facet); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_springer_book_api_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Record_Url); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_springer_book_api_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Record_Creator); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_springer_book_api_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Facet_Value); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_pkg_springer_book_api_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   8,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_pkg_springer_book_api_proto_goTypes,
		DependencyIndexes: file_pkg_springer_book_api_proto_depIdxs,
		MessageInfos:      file_pkg_springer_book_api_proto_msgTypes,
	}.Build()
	File_pkg_springer_book_api_proto = out.File
	file_pkg_springer_book_api_proto_rawDesc = nil
	file_pkg_springer_book_api_proto_goTypes = nil
	file_pkg_springer_book_api_proto_depIdxs = nil
}
